Bug 1277863 - Test case failure: Screen - Resolution after no Screen Boot on Intel Valley View Gen7 [8086:0f31]
Summary: Test case failure: Screen - Resolution after no Screen Boot on Intel Valley V...
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 7.3
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Lyude
QA Contact: Desktop QE
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-11-04 09:31 UTC by Vasiliy Sharapov
Modified: 2016-11-03 14:04 UTC (History)
5 users (show)

Fixed In Version: kernel-3.10.0-507.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-03 14:04:45 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/Xorg.0.log (27.07 KB, text/plain)
2015-11-04 09:31 UTC, Vasiliy Sharapov
no flags Details
/var/log/messages (417.79 KB, text/plain)
2015-11-04 09:32 UTC, Vasiliy Sharapov
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2574 normal SHIPPED_LIVE Important: kernel security, bug fix, and enhancement update 2016-11-03 12:06:10 UTC
FreeDesktop.org 89008 None None None 2016-04-07 14:46 UTC

Description Vasiliy Sharapov 2015-11-04 09:31:57 UTC
Created attachment 1089507 [details]
/var/log/Xorg.0.log

Filed from caserun (https://tcms.engineering.redhat.com/run/260127/#caserun_10820168)

Version-Release number of selected component (if applicable):
RHEL-7.2-20151008.0
xorg-x11-server-Xorg-1.17.2-9.el7.x86_64
xorg-x11-drv-intel-2.99.917-8.20150615.el7.x86_64
kernel-3.10.0-322.el7.x86_64
linux-firmware-20150904-43.git6ebf5d5.el7.noarch
mesa-dri-drivers-10.6.5-3.20150824.el7.x86_64


Steps to Reproduce: 
 1. reboot machine
 2. disconnect monitor while machine is shutting down
 3. wait until machine is rebooted to GD


 1. connect display back to the machine



Actual results: 
No hotplug detection until running `DISPLAY=:0 xrandr`

Expected results:
Screen should be correectly powered on with native resolution

Comment 1 Vasiliy Sharapov 2015-11-04 09:32 UTC
Created attachment 1089508 [details]
/var/log/messages

Comment 5 Lyude 2016-07-11 22:40:14 UTC
Setting the exception flag on this since I still haven't been able to get the fixes for this upstream

Comment 9 Rafael Aquini 2016-09-16 02:16:25 UTC
Patch(es) committed on kernel repository and an interim kernel build is undergoing testing

Comment 11 Rafael Aquini 2016-09-16 17:17:53 UTC
Patch(es) available on kernel-3.10.0-507.el7

Comment 13 Vasiliy Sharapov 2016-10-05 13:23:55 UTC
This is _technically_ working in RC: RHEL-7.3-20160914.1
xorg-x11-server-Xorg-1.17.2-22.el7.x86_64
xorg-x11-drv-ati-7.6.1-3.20160215gitd41fccc.el7.x86_64
kernel-3.10.0-506.el7.x86_64
kernel-3.10.0-511.el7.x86_64
linux-firmware-20160830-49.git7534e19.el7.noarch
package mesa is not installed
mesa-dri-drivers-11.2.2-2.20160614.el7.x86_64
package xorg-x11-glamor is not installed

Comment 15 errata-xmlrpc 2016-11-03 14:04:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2574.html


Note You need to log in before you can comment on or make changes to this bug.